header {
  padding: 0;
  margin: 0 0 1em 0;
}

#breadcrumb {
  white-space: normal;
  text-align: center;
}

#menu {
  border-radius: 0;
  justify-content: space-between;
  align-items: center;
  position: relative;
  padding: 1em;
  display: flex;
  flex-wrap: wrap;
}

#main h1 {
  padding-bottom: 0;
}

#menu>a,
#menu>p {
  order: 1;
}

#menu ul {
  display: none;
  flex-direction: column;
  width: 100%;
  order: 2;
  padding: 0;
}

#menu.open ul {
  display: flex;
  gap: 0.2rem;
}

#menu ul li {
  padding: 1em;
  display: block;
}

header #menu button#hamburger {
  display: flex;
}

#hamburger div {
  flex-direction: column;
}

.bar1,
.bar2,
.bar3 {
  width: 35px;
  height: 5px;
  background-color: var(--widgettxtcolor);
  border-radius: 30px;
  margin: 6px 0;
  transition: 0.4s;
}

.change .bar1 {
  transform: translate(0, 11px) rotate(-45deg);
}

.change .bar2 {
  opacity: 0;
}

.change .bar3 {
  transform: translate(0, -11px) rotate(45deg);
}

#menu .stile-bottone-3 {
  background-color: var(--widgetcolor);
  border: 0;
}

.terzo-contenuto {
  max-width: 100%;
}

.terzo-contenuto>* {
  max-width: none;
  padding: 0;
}

.terzo-contenuto h2 {
  margin-top: 1em;
  margin-bottom: 0;
}

.terzo-contenuto-sottocontenuto p {
  text-align: center;
}

.terzo-contenuto-sottocontenuto h2 {
  margin: auto;
  margin-bottom: 1em;
}

.piu-info {
  max-width: 90%;
}

form label {
  width: 80%;
}

input,
textarea {
  width: 80%;
}

.info-form {
  width: 80%;
}

.form-appuntamenti {
  flex-direction: column-reverse;
}

.form-appuntamenti img {
    max-width: 350px;
}

.form-appuntamenti div {
  flex: 1 1 50px;
}

.dettagli-animale {
  flex-direction: column;
  gap: 20px;
}

.dettagli-animale img {
  width: 100%;
  height: auto;
}

@media screen and (max-width: 500px) {
  .prenotazioni {
    min-width: 200px;
  }

  .prenotazioni li {
    display: block;
  }
}

@media screen and (max-width: 768px) {
  #toggle-filtri {
    display: block;
    margin: auto;
    margin-bottom: 1em;
    margin-top: 1em;
  }

  #chiudi-filtri {
    display: block;
    margin: auto;
  }

  #overlay-filtri.attivo {
    display: block;
  }

  #filtri {
    position: fixed;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100vh;
    background-color: var(--bgcolor);
    box-shadow: 2px 0 10px rgba(0, 0, 0, 0.3);
    overflow-y: auto;
    transition: left 0.3s ease;
    z-index: 1000;
    margin: 0;
    padding: 1em;
    float: none;
  }

  #filtri.aperto {
    left: 0;
  }

  #filtri h2 {
    margin-top: 2em;
  }

  #filtri fieldset {
    gap: 1em;
    margin: auto;
  }
}

.profilo-contenitore {
  display: block;
  text-align: center;
}

.account-buttons {
  text-align: center;
}

.profilo {
  margin: auto;
}

@media screen and (max-width: 340px) {
  .profilo div {
    text-align: center;
  }

  .profilo img {
    margin-right: 0;
  }
}